package org.xbib.io.webdav.client;


import org.xbib.io.webdav.common.DavPropertySet;
import java.net.URI;

public final class WebDavDirectory implements WebDavElement {

    private final URI baseURI;
    private final DavPropertySet propertiesPresent;

    public WebDavDirectory(URI baseURI, DavPropertySet propertiesPresent) {
        this.baseURI = baseURI;
        this.propertiesPresent = propertiesPresent;
    }

    public URI getBaseURI() {
        return baseURI;
    }

    @Override
    public DavPropertySet getDavPropertySet() {
        return propertiesPresent;
    }
}
